Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	libraw1394 is a library that providing API to access IEEE 1394 bus (FireWire, iLink)
Name:		libraw1394
Version:	1.3.0
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://sourceforge.net/projects/libraw1394
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
#Requires:	
#BuildRequires:	

%description
libraw1394 is a library that providing API to access IEEE 1394 bus (FireWire, iLink)
For more details see: http://sourceforge.net/projects/libraw1394

%package devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--disable-dependency-tracking \
--mandir=%_mandir
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
#cd $RPM_BUILD_ROOT%_libdir
#ln -s libraw1394.so.8.0.0 libraw1394.so.5
#ln -s libraw1394.so.8.0.0 libraw1394.so.5.0.0
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*
%_mandir

%files devel
%defattr(-,root,root)
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_libdir/pkgconfig
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 21 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.3.0-1
- version update
* Sat Jun 17 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.1-1
- version update
* Tue Sep 27 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.0-2
- Moved necessary files to main package
* Tue Sep 27 2005 Christian Wasem <wasem@ccux-linux.de> 1.2.0-1
- Update to Version 1.2.0
* Sat Feb 05 2005 Christian Wasem <wasem@ccux-linux.de> 1.1.0-1
- Initial Release
